import { Base, Type } from "igniteui-angular-core";
import { DataTemplateRenderInfo } from "igniteui-angular-core";
import { DataTemplateMeasureInfo } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class FunnelLegendTemplates extends Base {
    static $t: Type;
    static c(a: DataTemplateRenderInfo): void;
    static b(a: DataTemplateRenderInfo): void;
    static a(a: DataTemplateMeasureInfo): void;
    static d(a: DataTemplateMeasureInfo): void;
}
